Skip to content

User

12 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.

GET /api/v1/users

List manageable streaming users.

Authentication: Authorization header (ApiKeyAuth)

Responses

StatusDescriptionSchema
200OKarray of app.User

POST /api/v1/users

Create a streaming user.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
userbodyapp.UserYesUser settings

Responses

StatusDescriptionSchema
201Createdapp.User

GET /api/v1/users/stats

List manageable streaming user stats.

Authentication: Authorization header (ApiKeyAuth)

Responses

StatusDescriptionSchema
200OKroute.APIResponse + object

DELETE /api/v1/users/{id}

Delete a streaming user.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesUser ID or username

Responses

StatusDescriptionSchema
200OKroute.APIResponse

GET /api/v1/users/{id}

Get a streaming user by ID or username.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesUser ID or username

Responses

StatusDescriptionSchema
200OKapp.User

PATCH /api/v1/users/{id}

Update a streaming user.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesUser ID or username
userbodyapp.UserYesUser settings

Responses

StatusDescriptionSchema
200OKapp.User

DELETE /api/v1/users/{id}/package

Manage a streaming user’s package.

Add, renew, change, or cancel the package assigned to a streaming user. package_id is required for add and change.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesUser ID or username
packagebodyobjectNoPackage selection; use package_id for add or change

Responses

StatusDescriptionSchema
200OKapp.User

PATCH /api/v1/users/{id}/package

Manage a streaming user’s package.

Add, renew, change, or cancel the package assigned to a streaming user. package_id is required for add and change.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesUser ID or username
packagebodyobjectNoPackage selection; use package_id for add or change

Responses

StatusDescriptionSchema
200OKapp.User

POST /api/v1/users/{id}/package

Manage a streaming user’s package.

Add, renew, change, or cancel the package assigned to a streaming user. package_id is required for add and change.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesUser ID or username
packagebodyobjectNoPackage selection; use package_id for add or change

Responses

StatusDescriptionSchema
200OKapp.User

POST /api/v1/users/{id}/package/renew

Manage a streaming user’s package.

Add, renew, change, or cancel the package assigned to a streaming user. package_id is required for add and change.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesUser ID or username
packagebodyobjectNoPackage selection; use package_id for add or change

Responses

StatusDescriptionSchema
200OKapp.User

GET /api/v1/users/{id}/stats

Get streaming user stats by ID.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesUser ID

Responses

StatusDescriptionSchema
200OKroute.APIResponse + object

POST /api/v1/users/{id}/traffic/reset

Reset a streaming user’s cumulative traffic.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesUser ID or username

Responses

StatusDescriptionSchema
200OKroute.APIResponse + object